# Uses of Interface
org.bukkit.entity.Llama

Packages that use Llama
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Llama in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Llama
Modifier and Type
Field
Description
`static final GoalKey<Llama>`
VanillaGoal.`LLAMA_ATTACK_WOLF`
`static final GoalKey<Llama>`
VanillaGoal.`LLAMA_FOLLOW`
Deprecated.
`static final GoalKey<Llama>`
VanillaGoal.`LLAMA_FOLLOW_CARAVAN`
`static final GoalKey<Llama>`
VanillaGoal.`LLAMA_HURT_BY`
`static final GoalKey<Llama>`
VanillaGoal.`TRADER_LLAMA_DEFEND_WANDERING_TRADER`

## Uses of Llama in org.bukkit.entity

Subinterfaces of Llama in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`TraderLlama`
Represents a trader Llama.
Methods in org.bukkit.entity that return Llama
Modifier and Type
Method
Description
`@Nullable Llama`
Llama.`getCaravanHead()`
Get the llama that this llama is following.
`@Nullable Llama`
Llama.`getCaravanTail()`
Gets the llama that is currently following behind this llama.
Methods in org.bukkit.entity with parameters of type Llama
Modifier and Type
Method
Description
`void`
Llama.`joinCaravan(@NotNull Llama llama)`
Joins a caravan, with the provided llama being the leader of the caravan.